<?php
include './system/common.php';  
include './system/functions.php';
include './system/user.php';
include './system/task.php';
//-----Если гость,то...-----//
if(!$user['id']) {
header('Location: /');
exit();}






    $data=strtotime('00:00');//Когда будет доступно задание
	if(time() <= $data){
	$dateStart =  strtotime('00:00');
	}else{
	$dateStart = strtotime('next day 00:00');
	}








 
 

echo' '.$_SESSION['mes'].' ';
    $_SESSION['mes']=NULL; //Удаляем сесию




$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act){
default:
$title = 'Задания';
include './system/h.php';
echo'<div class="title">'.$title.'</div>';
echo'<table width="100%" border="0" cellpadding="0" cellspacing="0" style="padding-top: 5px;">
<tbody><tr>
<td width="50%" class="bar bar_select">
<a href="/task">Сюжетные</a></td>
<td width="50%" class="bar">
<a href=/task/daily>Ежедневные</a></td>
</tr></tbody>
</table>';


// Выполнение квеста
if (isset ($_GET['complete'])) {
	
	 

$_GET['complete'] = (int) $_GET['complete'];
$req = mysql_query ('select * from `task_user` WHERE (`user`="' . $user['id'] . '") AND (`task`="' . $_GET['complete'] . '")');
  if (mysql_num_rows ($req)==0) {
header ('location: /task');
exit;}

$task_user = mysql_fetch_array ($req);
    if ($task_user['complete']==1) {
header ('location: /task');
exit;}

$q_ = mysql_query ('SELECT * FROM `task` WHERE (`id`="' . $task_user['task'] . '")');
$task = mysql_fetch_array ($q_);
    
    if ($task_user['how']<$task['how']) {
header ('location: /task');
exit;}
      if($task['type'] == 'daily'){
$kluch = rand(1, 3);  	
}else{
$kluch = 0;  
}	
	
    mysql_query ('UPDATE `task_user` SET `complete`="1", `time`="'.$dateStart.'" WHERE (`user`="' . $user['id'] . '") AND (`task`="' . $task['id'] . '")');
    mysql_query ('UPDATE `users` SET `task_kluch`=`task_kluch`+'.$kluch.', `g`=`g`+'.$task['_gold'].', `s`=`s`+'.$task['_silver'].', `exp`=`exp`+'.$task['_exp'].' WHERE (`id`="' . $user['id'] . '")');


$req_task = mysql_query ('select * from `task_user` WHERE (`user`="' . $user['id'] . '") AND (`complete`="0") AND (`type`="storyline")');
if (mysql_num_rows ($req_task) == 0) {
	$trophies = mysql_fetch_assoc(mysql_query("SELECT * FROM `trophies` WHERE `id`='".$user['lair_glava']."' ")); 
mysql_query('INSERT INTO `trophies_user` (`name`, `trophies_id`, `user_id`, `param`, `exp`, `silver`) VALUES ("'.$trophies['name'].'", "'.$trophies['id'].'", "'.$user['id'].'", "'.$trophies['param'].'", "'.$trophies['exp'].'", "'.$trophies['silver'].'" )');
mysql_query("UPDATE `users` SET `str`=`str`+'".$trophies['param']."', `vit`=`vit`+'".$trophies['param']."',`def`=`def`+'".$trophies['param']."', `lair_glava`=`lair_glava`+1, `trophies_exp`=`trophies_exp`+'".$trophies['exp']."', `trophies_silver`=`trophies_silver`+'".$trophies['silver']."' WHERE `id`='".$user['id']."' ");	
}
	



header ('location: /task'.($task['type'] == 'daily' ? '/daily':'').''); 
}
$lair = mysql_fetch_array(mysql_query('SELECT * FROM `lair` WHERE `id` = "'.$user['lair_glava'].'" '));
echo'<div class="empty_block">
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="padding-top: 5px;">
<tbody><tr><td width="25%">
<center><img src="/images/ico/lair/lair'.$lair['img'].'_nowin.jpg" alt="*" width="72"/></center>
</td>
<td width="75%">
<font color="#fff">Глава '.$lair['id'].'. '.$lair['name'].' </font></br>
'.$lair['description'].'
</td>
</tr></tbody>
</table>
</div><div class="line"></div>';

// Список невыполненных заданий
$req = mysql_query ('select * from `task_user` WHERE (`user`="' . $user['id'] . '") AND (`complete`="0") AND (`type`="storyline") ORDER BY `id` ASC');
if (mysql_num_rows ($req) == 0) {
    echo '';//Пишем, что нет заданий
}else{
    while ($task_user = mysql_fetch_array ($req)) {        
        $task = mysql_fetch_array(mysql_query ('SELECT * FROM `task` WHERE (`id`="' . $task_user['task'] . '")'));
       
echo '<div class="empty_block">
<font color="#fff"> <img src="/images/ico/png/task.png" width="18"> '.$task['name'].'</font><br/>';
  if ($task_user['how']>=$task['how']) {
    echo '  <img src="/images/ico/png/gold.png" alt="*" width="16"/> '.$task['_gold'].'
            <img src="/images/ico/png/silver.png" alt="*" width="16"/> '.$task['_silver'].'
            <img src="/images/ico/png/exp.png" alt="*" width="16"/> '.$task['_exp'].' </br>'; 
}
echo'Прогресс: '.$task_user['how'].' из '.$task['how'].' <br/>';   
  if ($task_user['how']>=$task['how']) {
echo '<center><a href="/task?complete='.$task['id'].'"> <input class="button" type="submit" value="Забрать награду"/></a></center>';     
}
echo '</div>
<div class="line"></div>';
    }
}

break;









case 'daily':
$title = 'Задания';
include './system/h.php';
echo'<div class="title">'.$title.'</div>';
echo'<table width="100%" border="0" cellpadding="0" cellspacing="0" style="padding-top: 5px;">
<tbody><tr>
<td width="50%" class="bar">
<a href="/task">Сюжетные</a></td>
<td width="50%" class="bar bar_select">
<a href=/task/daily>Ежедневные</a></td>
</tr></tbody>
</table>';

// Обновление неактивных квестов
$req = mysql_query ('select * from `task_user` WHERE (`user`="' . $user['id'] . '") AND (`complete`="1") AND (`type`="daily") ');
if (mysql_num_rows ($req) < 10) {
    $i = 0;
    while ($task_user = mysql_fetch_array ($req)) {
        
  if ($task_user['time']<time ()) {
$i++;
if ($i < 10) {
mysql_query ('UPDATE `task_user` SET `complete`="0",`how`="0" WHERE (`user`="'.$user['id'].'") AND (`task`="'.$task_user['task'].'") AND (`type`="daily")');
   }
  }    
 }
}

// Список невыполненных заданий
$req = mysql_query ('select * from `task_user` WHERE (`user`="' . $user['id'] . '") AND (`complete`="0") AND (`type`="daily") ORDER BY `id` ASC');
if (mysql_num_rows ($req) == 0) {
    echo '';//Пишем, что нет заданий
}else{
    while ($task_user = mysql_fetch_array ($req)) {        
        $task = mysql_fetch_array(mysql_query ('SELECT * FROM `task` WHERE (`id`="' . $task_user['task'] . '")'));
       
echo '<div class="empty_block">
<font color="#fff"> <img src="/images/ico/png/task.png" width="18"> '.$task['name'].'</font><br/>
<font color="#90b0c0">';
  if ($task_user['how']>=$task['how']) {
    echo '  <img src="/images/ico/png/gold.png" alt="*" width="16"/> '.$task['_gold'].'
            <img src="/images/ico/png/silver.png" alt="*" width="16"/> '.$task['_silver'].'
            <img src="/images/ico/png/exp.png" alt="*" width="16"/> '.$task['_exp'].' </br>'; 
}
echo'Прогресс: '.$task_user['how'].' из '.$task['how'].' </font><br/>';   
  if ($task_user['how']>=$task['how']) {
echo '<center><a href="/task?complete='.$task['id'].'"> <input class="button" type="submit" value="Забрать награду"/></a></center>';     
}
echo '</div>
<div class="line"></div>';
    }
}


// Список выполненных задани
$req = mysql_query ('select * from `task_user` WHERE (`user`="' . $user['id'] . '") AND (`complete`="1") AND (`type`="daily")');
if (mysql_num_rows ($req) != 0) {

    while ($task_user = mysql_fetch_array ($req)) {
        $task = mysql_fetch_array(mysql_query ('SELECT * FROM `task` WHERE (`id`="' . $task_user['task'] . '")'));
        
echo '
<div class="empty_block"> '.$task['name'].' </span><br/>
Будет доступно через: '._time($task_user['time']-time()).' </div>
<div class="line"></div>';
   }
}
echo' <div class="empty_block item_center"> 
<font color="#90b0c0">Собрано ключей: '.$user['task_kluch'].'. Подробнее о ключах </font><a href="/task/dailyInfo"><font color="#fff">здесь</font></a>
</div><div class="line"></div>';
break;





case 'dailyInfo':
$title = 'Личный турнир по ключам';
include './system/h.php';
echo'<div class="title">'.$title.'</div>';

echo'<div class="empty_block">
<font color=#7afe4e">Выполняйте ежедневные задания и собирайте ключи. За каждое выполненное задание выдается от 1 до 3 ключей, случайно. </font></br>
<font color="#90b0c0">
Турнир проводится еженедельно, с понедельника по воскресение. Участвуют все игроки.</br>
В воскресение подводится итог, кто больше собрал ключей, тот и победил.</br>
</font>
</br>
<font color=#7afe4e"><center>10 лучших игроков получают призы</center></font></br>

<font color="#90b0c0">
1 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>1000 золота </br>
2 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>900 золота </br>
3 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>800 золота </br>
</br>
4 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>700 золота </br>
5 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>600 золота </br>
6 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>500 золота </br>
7 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>400 золота </br>
</br>
8 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>300 золота </br>
9 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>200 золота </br>
10 место – <img src="/images/ico/png/gold.png" alt="*" width="16"/>100 золота </br>
</br>
Дополнительно, каждый игрок, даже если он не победил, за каждый собранный ключ получает награду серебром.</font> </br>
</font>
<font color=#7afe4e">Если игрок за день выполняет 6 ежедневных заданий, то на следующий день за все задания он получает в 2 раза больше ключей.</font> </br>
<font color=#7afe4e">А за 7 выполненных заданий получает в 3 раза больше ключей!</font>
</div><div class="line"></div>';
break;
}
 
include './system/f.php';
?>